summaryrefslogtreecommitdiffstats
path: root/regressions/rhbz503169c13.sh
diff options
context:
space:
mode:
authorRichard Jones <rjones@trick.home.annexia.org>2009-06-04 15:05:23 +0100
committerRichard Jones <rjones@trick.home.annexia.org>2009-06-04 15:06:28 +0100
commitab81d09a710242ab61001ef5e8ffd321725b47a7 (patch)
treebf39863d56c2dc1872d9cc76fc95f7da1c94cac1 /regressions/rhbz503169c13.sh
parent96b9d82e2f4f24cdd41040f54a7597202c04cf7e (diff)
downloadlibguestfs-ab81d09a710242ab61001ef5e8ffd321725b47a7.tar.gz
libguestfs-ab81d09a710242ab61001ef5e8ffd321725b47a7.tar.xz
libguestfs-ab81d09a710242ab61001ef5e8ffd321725b47a7.zip
Fix RHBZ#503169 comment 13 (regression) and add a regression test.
Diffstat (limited to 'regressions/rhbz503169c13.sh')
-rwxr-xr-xregressions/rhbz503169c13.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/regressions/rhbz503169c13.sh b/regressions/rhbz503169c13.sh
new file mode 100755
index 00000000..71e29cee
--- /dev/null
+++ b/regressions/rhbz503169c13.sh
@@ -0,0 +1,44 @@
+#!/bin/sh -
+# libguestfs
+# Copyright (C) 2009 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# Regression test for:
+# https://bugzilla.redhat.com/show_bug.cgi?id=503169#c13
+#
+# The unmount-all command will give this error:
+# libguestfs: error: umount: /sysroot/dev: umount: /sysroot/dev: device is busy.
+# (In some cases useful info about processes that use
+# the device is found by lsof(8) or fuser(1))
+
+set -e
+
+rm -f test1.img
+dd if=/dev/zero of=test1.img bs=1024k count=10
+
+export LIBGUESTFS_PATH=../appliance
+
+../fish/guestfish -a test1.img <<EOF
+run
+sfdisk /dev/sda 0 0 0 ,
+mkfs ext2 /dev/sda1
+mount /dev/sda1 /
+mkdir /dev
+-command /ignore-this-error
+unmount-all
+EOF
+
+rm test1.img